> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.mangopay.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mangopay.com/_mcp/server.

# Create a Recurring Google Pay PayIn (CIT or MIT)

POST https://api.sandbox.mangopay.com/v2.01/{ClientId}/payins/payment-methods/googlepay/recurring
Content-Type: application/json

Request a recurring Google Pay pay-in based on a `RecurringPayinRegistrationId` with `PaymentType` `GOOGLE_PAY`, obtained from [POST Create a Recurring PayIn Registration](/api-reference/recurring-payin-registrations/create-recurring-payin-registration).

There are two possible paylods: 
- **CIT** – Customer-initiated transaction when the user is on session, which may require them to authenticate on the `SecureModeRedirectURL` returned (unless authentication was handled by Google Pay).
- **MIT** – Subsequent merchant-initiated transactions in the absence of the user, based on the initial successful authentication, unless and until re-authentication is required.

Read more about [Google Pay recurring payments](/guides/payment-methods/google-pay#recurring-payments) **&rarr;**

Reference: https://docs.mangopay.com/api-reference/google-pay/create-recurring-google-pay-payin

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token. If your platform is using a [proxy](/guides/sca/proxy-management) to take SCA-triggering action on behalf of users, you also need to integrate [mTLS authentication](/guides/sca/platform) and use the `api-mtls` base URL.

## Servers

- `https://api.sandbox.mangopay.com` (Sandbox, default)
- `https://api.mangopay.com` (Production)
- `https://api-mtls.sandbox.mangopay.com` (mTLS Sandbox)
- `https://api-mtls.mangopay.com` (mTLS Production)

## Request

### Path parameters

- `ClientId` (string, required) — Platform's API account identifier, associated with the API key.

### Body (application/json)

This endpoint expects a recurringGooglePayPayins_create_recurring_google_pay_payin_Request.

- `recurringGooglePayPayins_create_recurring_google_pay_payin_Request`

## Response

### 200

Success

- `Id` (string, optional) — Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details) The unique identifier of the object.
- `Tag` (string, optional) — Max. length: 255 characters Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`.
- `CreationDate` (integer, optional) — Unix timestamp (UTC) of the date and time the object was created.
- `AuthorId` (string, optional) — The unique identifier of the user at the source of the transaction.
- `DebitedFunds` (RecurringGooglePayPayInResponseDebitedFunds, optional) — Information about the debited funds.
- `CreditedFunds` (RecurringGooglePayPayInResponseCreditedFunds, optional) — Information about the credited funds (`CreditedFunds` = `DebitedFunds` - `Fees`).
- `Fees` (RecurringGooglePayPayInResponseFees, optional) — Information about the fees taken by the platform for this transaction (and hence transferred to the Fees Wallet).
- `Status` (string, optional) — **Returned values:** `CREATED`, `SUCCEEDED`, `FAILED` The status of the transaction.
- `ResultCode` (string, optional) — The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes.
- `ResultMessage` (string, optional) — The explanation of the result code.
- `ExecutionDate` (integer, optional) — Unix timestamp (UTC) of the date and time the status changed to `SUCCEEDED`, indicating that the transaction occurred. The statuses `CREATED` and `FAILED` return an `ExecutionDate` of `null`.
- `Type` (string, optional) — **Returned values:** `PAYIN`, `TRANSFER`, `CONVERSION`, `PAYOUT` The type of the transaction.
- `Nature` (string, optional) — **Returned values:** `REGULAR`, `REPUDIATION`, `REFUND`, `SETTLEMENT` The nature of the transaction, providing more information about the context in which the transaction occurred: - `REGULAR` – Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow. - `REPUDIATION` – Automatic withdrawal of funds from the platform's repudiation wallet as part of the dispute process (when the user has requested a chargeback). - `REFUND` – Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay). - `SETTLEMENT` – Transfer made to the repudiation wallet by the platform to settle a lost dispute.
- `CreditedWalletId` (string, optional) — The unique identifier of the credited wallet.
- `CreditedUserId` (string, optional) — **Default value:** The unique identifier of the owner of the credited wallet. The unique identifier of the user whose wallet is credited.
- `PaymentType` (string, optional) — **Returned values:** `GOOGLE_PAY` The payment type of the pay-in.
- `ExecutionType` (string, optional) — **Returned values:** `DIRECT` The execution type of the pay-in.
- `StatementDescriptor` (string, optional) — Max. length: 22 characters; only alphanumeric and spaces Custom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the Customizing bank statement references article for details.
- `SecureMode` (string, optional) — **Returned values:** `DEFAULT`, `FORCE`, `NO_CHOICE` The mode applied for the 3DS2 protocol for CB, Visa, and Mastercard. The options are: - `DEFAULT` – Requests an exemption to strong customer authentication (SCA), and thus a frictionless payment experience, if allowed by your Mangopay contract and accepted by the issuer. - `FORCE` – Requests SCA. - `NO_CHOICE` – Leaves the choice to the issuer whether to allow for a frictionless payment experience or to enforce SCA.
- `SecureModeNeeded` (boolean, optional) — Whether or not the `SecureMode` was used.
- `BrowserInfo` (BrowserInfo, optional) — Information about the browser used by the end user (author) to perform the payment.
- `IpAddress` (string, optional) — The IP address of the end user initiating the transaction, in IPV4 or IPV6 format.
- `CardInfo` (CardInfo, optional) — Information about the card used for the transaction. If the information or data is not available, `null` is returned.
- `AuthenticationResult` (AuthenticationResult, optional) — Information about the authentication result, based on the request made by Mangopay and the decision of the issuer regarding the type of authentication to be enforced (if applicable).
- `RecurringPayinRegistrationId` (string, optional) — The unique identifier of the recurring pay-in registration.
- `Billing` (Billing_DefaultsShippingUser_Response, optional) — **Default values:** `FirstName`, `LastName`, and `Address` information of the `Shipping` object if sent, otherwise of the `AuthorId` (if address values present). Information about the billing address.
- `Shipping` (Shipping_DefaultsBillingUser_Response, optional) — **Default values:** `FirstName`, `LastName`, and `Address` information of the `Billing` object if sent, otherwise of the `AuthorId` (if address values present). Information about the shipping address.

## Types

### CreateARecurringGooglePayPayInCITRequest

Request body for a Google Pay customer-initiated transaction (CIT).

- `SecureModeReturnURL` (string, required) — Max. length: 255 characters The URL to which users are automatically returned after 3DS2 if it is triggered (i.e., if the `SecureModeNeeded` parameter is set to `true`).
- `IpAddress` (string, required) — The IP address of the end user initiating the transaction, in IPV4 or IPV6 format.
- `BrowserInfo` (BrowserInfo, required) — Information about the browser used by the end user (author) to perform the payment.
- `RecurringPayinRegistrationId` (string, required) — The unique identifier of the recurring pay-in registration.
- `Tag` (string, optional) — Max. length: 255 characters Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`.
- `StatementDescriptor` (string, optional) — Max. length: 22 characters; only alphanumeric and spaces Custom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the Customizing bank statement references article for details.

### CreateARecurringGooglePayPayInMITRequest

Request body for a Google Pay merchant-initiated transaction (MIT).

- `RecurringPayinRegistrationId` (string, required) — The unique identifier of the recurring pay-in registration.
- `Tag` (string, optional) — Max. length: 255 characters Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`.
- `DebitedFunds` (CreateARecurringGooglePayPayInMitRequestDebitedFunds, optional) — Information about the debited funds. This property overrides the `NextTransactionDebitedFunds` of the Registration, and is **required if** that property is empty. **Caution:** An amount must be provided in either the Registration's `NextTransactionDebitedFunds` or the pay-in's `DebitedFunds`.
- `Fees` (CreateARecurringGooglePayPayInMitRequestFees, optional) — Information about the fees. This property overrides the `NextTransactionFees` of the Registration, and is **required if** that property is empty. **Caution:** An amount must be provided in either the Registration's `NextTransactionFees` or the pay-in's `Fees`.
- `StatementDescriptor` (string, optional) — Max. length: 22 characters; only alphanumeric and spaces Custom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the Customizing bank statement references article for details.

### RecurringGooglePayPayInResponseDebitedFunds

Information about the debited funds.

- `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount.
- `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`.

### RecurringGooglePayPayInResponseCreditedFunds

Information about the credited funds (`CreditedFunds` = `DebitedFunds` - `Fees`).

- `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount.
- `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`.

### RecurringGooglePayPayInResponseFees

Information about the fees taken by the platform for this transaction (and hence transferred to the Fees Wallet).

- `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount.
- `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`.

### BrowserInfo

Information about the browser used by the end user (author) to perform the payment.

- `AcceptHeader` (string, required) — The exact content of the HTTP accept headers as sent to the platform from the end user's browser.
- `JavaEnabled` (boolean, required) — Whether or not the end user's browser has the ability to execute Java.
- `Language` (string, required) — Format: Two-letter language code (ISO 639-1 alpha-2) followed by two-letter country code (ISO 3166-1 alpha-2), separated by a hyphen (example: `en-US`; pattern:`^[a-zA-Z]{2}(-[a-zA-Z]{2})?$`) The language of the browser.
- `ColorDepth` (integer, required) — The value representing the depth of the screen's color palette for displaying images, in bits per pixel.
- `ScreenHeight` (integer, required) — The height of the screen in pixels.
- `ScreenWidth` (integer, required) — The width of the screen in pixels.
- `TimeZoneOffset` (integer, required) — The difference in minutes between the browser's timezone and UTC.
- `UserAgent` (string, required) — The exact content of the HTTP User-Agent header.
- `JavascriptEnabled` (boolean, required) — Whether or not the end user's browser has the ability to execute JavaScript.

### CardInfo

Information about the card used for the transaction. If the information or data is not available, `null` is returned.

- `BIN` (string, optional) — The bank identification number (BIN) of the card.
- `IssuingBank` (string, optional) — The name of the bank that issued the card.
- `IssuerCountryCode` (string, optional) — The country code of the card issuer.
- `Type` (string, optional) — The type of card (for example, `CREDIT` or `DEBIT`).
- `SubType` (string, optional, nullable) — The sub-type of the card, if available.
- `Brand` (string, optional) — The card brand (for example, `VISA` or `MASTERCARD`).

### AuthenticationResult

Information about the authentication result, based on the request made by Mangopay and the decision of the issuer regarding the type of authentication to be enforced (if applicable).

- `AuthenticationType` (string, optional, nullable) — **Returned values:** `CHALLENGE`, `FRICTIONLESS`, `DIRECT_AUTHORIZATION` The type of authentication: - `CHALLENGE` – The issuer requested SCA to be enforced (for example, using 3DS). - `FRICTIONLESS` – The transaction was exempted from SCA because an exemption was granted by the issuer. - `DIRECT_AUTHORIZATION` – The transaction was sent to the issuer for authorization without any frictionless or challenge (for example, if SCA doesn't apply). A `null` value typically indicates that authentication was not requested (for example, because the request failed before being sent) or a decision was not received. A `null` value typically indicates that authentication was not requested (for example, because the request failed before being sent) or a decision was not received.

### Billing_DefaultsShippingUser_Response

**Default values:** `FirstName`, `LastName`, and `Address` information of the `Shipping` object if sent, otherwise of the `AuthorId` (if address values present). Information about the billing address.

- `FirstName` (string, optional) — The first name of the user.
- `LastName` (string, optional) — The last name of the user.
- `Address` (Address, optional) — The postal address.

### Shipping_DefaultsBillingUser_Response

**Default values:** `FirstName`, `LastName`, and `Address` information of the `Billing` object if sent, otherwise of the `AuthorId` (if address values present). Information about the shipping address.

- `FirstName` (string, optional) — The first name of the user.
- `LastName` (string, optional) — The last name of the user.
- `Address` (Address_SubPropsRequired, optional) — The postal address.

### CreateARecurringGooglePayPayInMitRequestDebitedFunds

Information about the debited funds. This property overrides the `NextTransactionDebitedFunds` of the Registration, and is **required if** that property is empty. **Caution:** An amount must be provided in either the Registration's `NextTransactionDebitedFunds` or the pay-in's `DebitedFunds`.

- `Currency` (string, required) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount.
- `Amount` (integer, required) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`.

### CreateARecurringGooglePayPayInMitRequestFees

Information about the fees. This property overrides the `NextTransactionFees` of the Registration, and is **required if** that property is empty. **Caution:** An amount must be provided in either the Registration's `NextTransactionFees` or the pay-in's `Fees`.

- `Currency` (string, required) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount.
- `Amount` (integer, required) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`.

### Address

The postal address.

- `AddressLine1` (string, optional) — The first line of the address.
- `AddressLine2` (string, optional) — The second line of the address.
- `City` (string, optional) — The city of the address.
- `Region` (string, optional) — Required if `Country` is US, CA, or MX. The region of the address.
- `PostalCode` (string, optional) — The postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces.
- `Country` (string, optional) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) The country of the address.

### Address_SubPropsRequired

The postal address.

- `AddressLine1` (string, required) — The first line of the address.
- `City` (string, required) — The city of the address.
- `PostalCode` (string, required) — The postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces.
- `Country` (string, required) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) The country of the address.
- `AddressLine2` (string, optional) — The second line of the address.
- `Region` (string, optional) — Required if `Country` is US, CA, or MX. The region of the address.

## Examples

### Google Pay CIT

**Request**

```json
{
  "body": {
    "BrowserInfo": {
      "AcceptHeader": "application/json,text/javascript,*/*;q=0.01",
      "ColorDepth": 30,
      "JavaEnabled": true,
      "JavascriptEnabled": true,
      "Language": "fr-FR",
      "ScreenHeight": 667,
      "ScreenWidth": 375,
      "TimeZoneOffset": -120,
      "UserAgent": "Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148"
    },
    "DebitedFunds": {
      "Amount": 4567,
      "Currency": "EUR"
    },
    "Fees": {
      "Amount": 1234,
      "Currency": "EUR"
    },
    "IpAddress": "159.180.248.187",
    "RecurringPayinRegistrationId": "recpayinreg_wt_b2fecce5-f893-47dc-97be-c57cb6374492",
    "SecureModeReturnURL": "https://example.com"
  }
}
```

**Response**

```json
{
  "Id": "wt_e294dc77-9689-449e-a04b-7b25c8e27a1e",
  "Tag": null,
  "CreationDate": 1774964623,
  "AuthorId": "user_m_01KN1H4ENA23ATBA54ZWN21VKD",
  "DebitedFunds": {
    "Currency": "EUR",
    "Amount": 4567
  },
  "CreditedFunds": {
    "Currency": "EUR",
    "Amount": 3333
  },
  "Fees": {
    "Currency": "EUR",
    "Amount": 1234
  },
  "Status": "SUCCEEDED",
  "ResultCode": "000000",
  "ResultMessage": "Success",
  "ExecutionDate": 1774964623,
  "Type": "PAYIN",
  "Nature": "REGULAR",
  "CreditedWalletId": "wlt_m_01JERJF53QMJE1HHRV7GGDACGM",
  "CreditedUserId": "user_m_01JERJEJAYP6NETHYZ3W9VKET4",
  "PaymentType": "GOOGLE_PAY",
  "ExecutionType": "DIRECT",
  "StatementDescriptor": null,
  "SecureMode": "DEFAULT",
  "SecureModeNeeded": false,
  "BrowserInfo": {
    "AcceptHeader": "application/json,text/javascript,*/*;q=0.01",
    "JavaEnabled": true,
    "Language": "fr-FR",
    "ColorDepth": 30,
    "ScreenHeight": 667,
    "ScreenWidth": 375,
    "TimeZoneOffset": -120,
    "UserAgent": "Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148",
    "JavascriptEnabled": true
  },
  "IpAddress": "159.180.248.187",
  "CardInfo": {
    "BIN": "55555",
    "IssuingBank": "STATE BANK OF NORWAY",
    "IssuerCountryCode": "IN",
    "Type": "CREDIT",
    "SubType": "CLASSIC",
    "Brand": "VISA"
  },
  "AuthenticationResult": {
    "AuthenticationType": "FRICTIONLESS"
  },
  "RecurringPayinRegistrationId": "recpayinreg_wt_b2fecce5-f893-47dc-97be-c57cb6374492",
  "SecureModeRedirectURL": null,
  "SecureModeReturnURL": "https://example.com/?transactionId=wt_e294dc77-9689-449e-a04b-7b25c8e27a1e",
  "SecurityInfo": null
}
```

### Google Pay MIT

**Request**

```json
{
  "body": {
    "AuthorId": "user_m_01JERJEJAYP6NETHYZ3W9VKET4",
    "CreditedWalletId": "wlt_m_01JERJF53QMJE1HHRV7GGDACGM",
    "DebitedFunds": {
      "Amount": 20001,
      "Currency": "EUR"
    },
    "Fees": {
      "Amount": 50,
      "Currency": "EUR"
    },
    "RecurringPayinRegistrationId": "recpayinreg_wt_17c6a8fd-dfe4-47ea-a020-b4756d8ae202",
    "StatementDescriptor": "Example123",
    "Tag": "MIT"
  }
}
```

**Response**

```json
{
  "Id": "wt_e3f1196e-def7-492c-bc24-6ce2dcaed78b",
  "Tag": "MIT",
  "CreationDate": 1774965678,
  "AuthorId": "user_m_01KN1H4ENA23ATBA54ZWN21VKD",
  "DebitedFunds": {
    "Currency": "EUR",
    "Amount": 20001
  },
  "CreditedFunds": {
    "Currency": "EUR",
    "Amount": 19951
  },
  "Fees": {
    "Currency": "EUR",
    "Amount": 50
  },
  "Status": "SUCCEEDED",
  "ResultCode": "000000",
  "ResultMessage": "Success",
  "ExecutionDate": 1774965679,
  "Type": "PAYIN",
  "Nature": "REGULAR",
  "CreditedWalletId": "wlt_m_01JERJF53QMJE1HHRV7GGDACGM",
  "CreditedUserId": "user_m_01JERJEJAYP6NETHYZ3W9VKET4",
  "PaymentType": "GOOGLE_PAY",
  "ExecutionType": "DIRECT",
  "StatementDescriptor": "Example123",
  "CardInfo": {
    "BIN": "55555",
    "IssuingBank": "STATE BANK OF NORWAY",
    "IssuerCountryCode": "IN",
    "Type": "CREDIT",
    "SubType": "CLASSIC",
    "Brand": "VISA"
  },
  "AuthenticationResult": {
    "AuthenticationType": "FRICTIONLESS"
  },
  "RecurringPayinRegistrationId": "recpayinreg_wt_b2fecce5-f893-47dc-97be-c57cb6374492"
}
```